## ----setup, include = FALSE---------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>",
  warning = FALSE,
  message = TRUE
)
## setup vcr not sure I am doing this right.
library(vcr)
#invisible(vcr::vcr_configure(
#  dir = "../tests/fixtures",
#  write_disk_path = NULL
#))
vcr::setup_knitr(dir = "_vcr", record = "once")


## ----label=state_summary, message=FALSE, use_cassette=TRUE--------------------
library(rATTAINS)
x <- state_summary(organization_id = "TDECWR",
                   reporting_cycle = "2024")
x

## ----huc12, message=FALSE, use_cassette=TRUE----------------------------------
x <- huc12_summary("020700100204")
x

## ----domain_values, use_cassette=TRUE-----------------------------------------
x <- domain_values(domain_name = "OrgStateCode")
x

## ----domain_context, use_cassette=TRUE----------------------------------------
x <- domain_values(domain_name = "UseName", context = "TCEQMAIN")
x


